
#include <stdio.h>
#include <cstdlib>
#include <stdlib.h>
#include <SDL/SDL.h>
#include "fonction.h"

void traitementInfo(input *in)
{
    SDL_Event event;
    while (SDL_PollEvent(&event))
    {
        switch (event.type)
        {
        case SDL_KEYDOWN:
            (*in).key[event.key.keysym.sym]=1;
            break;
        case SDL_KEYUP:
            (*in).key[event.key.keysym.sym]=0;
            break;
        case SDL_MOUSEMOTION:
            (*in).mouseX=event.motion.x;
            (*in).mouseY=event.motion.y;
            break;
        case SDL_MOUSEBUTTONDOWN:
            (*in).button[event.button.button]=1;
            (*in).mouseX=event.button.x;
            (*in).mouseY=event.button.y;
            break;
        case SDL_QUIT:
            (*in).quit=1;
            break;
        }


    }
}

void ledAllume(SDL_Surface *ecran)
{
    SDL_Surface *ampoule=NULL;
    SDL_Rect positionAmpoule;
    ampoule=SDL_LoadBMP("image2.bmp");
    input in;
    positionAmpoule.x=250;
    positionAmpoule.y=250;
    memset(&in,0,sizeof(in));
    while (!in.key[SDLK_ESCAPE]&&!in.quit)
    {
        traitementInfo(&in);
        SDL_FillRect(ecran,NULL,SDL_MapRGB((*ecran).format,200,255,255));
        SDL_BlitSurface(ampoule,NULL,ecran,&positionAmpoule);
        SDL_Flip(ecran);

    }
    SDL_FreeSurface(ampoule);

}
void ledEteint(SDL_Surface *ecran)
{
    SDL_Surface *ampoule=NULL;
    SDL_Rect positionAmpoule;
    ampoule=SDL_LoadBMP("image1.bmp");
    input in;
    positionAmpoule.x=250;
    positionAmpoule.y=250;
    memset(&in,0,sizeof(in));
    while (!in.key[SDLK_ESCAPE]&&!in.quit)
    {

        traitementInfo(&in);
        SDL_FillRect(ecran,NULL,SDL_MapRGB((*ecran).format,200,255,255));
        SDL_BlitSurface(ampoule,NULL,ecran,&positionAmpoule);
        SDL_Flip(ecran);

    }
    SDL_FreeSurface(ampoule);



}

